Section ID:
DOC-API-MODEL-schema-pbf83hf239#overview
Resource
A resource exposed by an MCP server
Meaning and usage
Section ID: DOC-API-MODEL-schema-pbf83hf239#meaning
See the definition above.
Usage profiles
Section ID: DOC-API-MODEL-schema-pbf83hf239#fields
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
Section ID: DOC-API-MODEL-schema-pbf83hf239#response
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-pbf83hf239#field-uriSection ID: DOC-API-MODEL-schema-pbf83hf239#response-field-uriuri | string | Optional | Canonical URI for the resource. |
Section ID: DOC-API-MODEL-schema-pbf83hf239#field-titleSection ID: DOC-API-MODEL-schema-pbf83hf239#response-field-titletitle | string | Optional | Display title of the MCP resource. |
Section ID: DOC-API-MODEL-schema-pbf83hf239#field-descriptionSection ID: DOC-API-MODEL-schema-pbf83hf239#response-field-descriptiondescription | string | Optional | Description of the content available from the MCP resource. |
Section ID: DOC-API-MODEL-schema-pbf83hf239#field-mimetypeSection ID: DOC-API-MODEL-schema-pbf83hf239#response-field-mimetypemimeType | string | Optional | Media type of the content exposed by the MCP resource. |
Section ID: DOC-API-MODEL-schema-pbf83hf239#field-contentSection ID: DOC-API-MODEL-schema-pbf83hf239#response-field-contentcontent | Array of ContentPart | Optional | Optional embedded content. |
Section ID: DOC-API-MODEL-schema-pbf83hf239#field-annotationsSection ID: DOC-API-MODEL-schema-pbf83hf239#response-field-annotationsannotations | Map from string to string | Optional | Optional annotations/metadata. |
Section ID: DOC-API-MODEL-schema-pbf83hf239#field-lastmodifiedSection ID: DOC-API-MODEL-schema-pbf83hf239#response-field-lastmodifiedlastModified | string (date-time) | Optional | Time when this resource was last modified. |
Where used
Section ID: DOC-API-MODEL-schema-pbf83hf239#where-used
| Reference | Relationship |
|---|---|
| List MCP resources | POST /api/v1/llm/mcp-list-resources |
| Read an MCP resource | POST /api/v1/llm/mcp-read-resource |
Download the public reference contract.
Document ID: DOC-API-MODEL-schema-pbf83hf239